Drools Guvnor 5.0 in JBoss AS 5

Note: from Guvnor 5.2.0 onward, there's a war specifcally for JBoss AS 5.1 and Jboss AS 6.0 that deploys out-of-the-box.

 

Due to some wayward dependencies, the following is some instructions on how to get Guvnor running in JBoss AS 5:

 

 

1) Remove the  JBoss Security libraries from drools WAR file (not the app server itself).  The JBSec libraries are provided in AS5.

----------------

rm authorization-spi-2.0.2.CR6.jar identity-* acl-spi-2.0.2.CR6.jar

rm jboss-security-*

-----------------

 

2) Remove the JAXP libraries.

--------------------

rm xercesImpl-2.8.0.jar

rm xml-apis-2.*

-------------------

 

3) Remove the EL libraries.

 

-------------------

rm el-*

-------------------

 

After this, guvnor should operate as normal.

During deployment, you see the following exception in the log which indicates that the experiemental JBoss Security based ACL integration has defined some EJB3/JPA stuff in guvnor that has not been configured.

 

--------------------------------------

Deployment "persistence.unit:unitName=#ACL" is in error due to the following reason(s): java.lang.RuntimeException: Specification violation [EJB3 JPA 6.2.1.2] - You have not defined a non-jta-data-source for a RESOURCE_LOCAL enabled persistence context named: ACL

--------------------------------------

 

As Guvnor uses Seam, Seam is still having some issues with some apps on JBoss AS5: see here.